diff --git a/docs/reST/ref/mouse.rst b/docs/reST/ref/mouse.rst
index 30f307337..19f5fc3e1 100644
--- a/docs/reST/ref/mouse.rst
+++ b/docs/reST/ref/mouse.rst
@@ -162,6 +162,9 @@ configured.
    Get the information about the mouse system cursor. The return value is the
    same data as the arguments passed into ``pygame.mouse.set_cursor()``.
 
+   .. note:: This method is unavailable with SDL2, as SDL2 does not provide
+             the underlying code to implement this method.
+
    .. ## pygame.mouse.get_cursor ##
 
 .. ## pygame.mouse ##
diff --git a/src_c/mouse.c b/src_c/mouse.c
index 4aeb5c517..66b5ca3bf 100644
--- a/src_c/mouse.c
+++ b/src_c/mouse.c
@@ -278,7 +278,13 @@ mouse_set_cursor(PyObject *self, PyObject *args)
     return RAISE(PyExc_TypeError, "Invalid number in mask array");
 }
 
-#if IS_SDLv1
+#if IS_SDLv2
+static PyObject *
+mouse_get_cursor(PyObject *self)
+{
+    return RAISE(PyExc_TypeError, "The get_cursor method is unavailable in SDL2");
+}
+#else /* IS_SDLv1*/
 static PyObject *
 mouse_get_cursor(PyObject *self)
 {
@@ -330,10 +336,8 @@ static PyMethodDef _mouse_methods[] = {
     {"get_focused", (PyCFunction)mouse_get_focused, METH_VARARGS,
      DOC_PYGAMEMOUSEGETFOCUSED},
     {"set_cursor", mouse_set_cursor, METH_VARARGS, DOC_PYGAMEMOUSESETCURSOR},
-#if IS_SDLv1
     {"get_cursor", (PyCFunction)mouse_get_cursor, METH_VARARGS,
      DOC_PYGAMEMOUSEGETCURSOR},
-#endif /* IS_SDLv1 */
 
     {NULL, NULL, 0, NULL}};
 
